diff --git a/src/backend/replication/basebackup.c b/src/backend/replication/basebackup.c
index 05ca95bac2..9fc031b141 100644
--- a/src/backend/replication/basebackup.c
+++ b/src/backend/replication/basebackup.c
@@ -697,6 +697,9 @@ SendBaseBackup(BaseBackupCmd *cmd)
 
 	WalSndSetState(WALSNDSTATE_BACKUP);
 
+	/* Report to pgstat that this process is running */
+	pgstat_report_activity(STATE_RUNNING, NULL);
+
 	if (update_process_title)
 	{
 		char		activitymsg[50];
@@ -707,6 +710,8 @@ SendBaseBackup(BaseBackupCmd *cmd)
 	}
 
 	perform_base_backup(&opt);
+
+	pgstat_report_activity(STATE_IDLE, NULL);
 }
 
 static void
